{
    "root": true,
    "extends": [
        "universe/native",
        "plugin:prettier/recommended"
    ],
    "plugins": ["unused-imports"],
    "rules": {
        "prettier/prettier": "error",
        "import/order": [
            "error",
            {
                "newlines-between": "always",
                "alphabetize": {
                    "order": "asc",
                    "caseInsensitive": true
                },
                "pathGroups": [
                    {
                        "pattern": "@app/**",
                        "group": "internal",
                        "position": "after"
                    }
                ],
                "pathGroupsExcludedImportTypes": [
                    "builtin"
                ],
                "groups": [
                    "builtin",
                    "external",
                    "internal",
                    "parent",
                    "sibling",
                    "index",
                    "object",
                    "type"
                ]
            }
        ],
        "unused-imports/no-unused-imports": "error",
        "unused-imports/no-unused-vars": "error",
        "@typescript-eslint/no-unused-vars": "error"
    }
}
